%define buildarches %{ix86} x86_64

# debugging firmwares does not goes the same way as a normal program.
# moreover, all architectures providing debuginfo for a single noarch
# package is currently clashing in koji, so don't bother.
%global debug_package %{nil}

%define common_dir %{_datadir}/qemu-pxe-roms
%define my_dir     %{_datadir}/gpxe

Name:    gpxe
Version: 0.9.7
Release: 9%{?dist}
Summary: A network boot loader
ExclusiveArch: %{buildarches}

Group:   System Environment/Base
License: GPLv2 and BSD
URL:     http://etherboot.org/

Source0: http://git.etherboot.org/releases/%{name}/%{name}-%{version}.tar.bz2
Source1: USAGE
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# %ifarch %{buildarches}
BuildRequires: perl syslinux mtools mkisofs

%package roms-qemu
Summary: Network boot loader roms supported by QEMU, .rom format
Group:  Development/Tools
# For RHBZ #714882 that's about checking update-alternatives presence
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives
Provides: pxe-zroms-kvm


%description roms-qemu
gPXE is an open source network bootloader. It provides a direct
replacement for proprietary PXE ROMs, with many extra features such as
DNS, HTTP, iSCSI, etc.

This package contains the gPXE ROMs for devices emulated by QEMU, in
.rom format.
# %endif

%description
gPXE is an open source network bootloader. It provides a direct
replacement for proprietary PXE ROMs, with many extra features such as
DNS, HTTP, iSCSI, etc.

%prep
%setup -q
cp -a %{SOURCE1} .

%build
cd src

for i in $(echo ne e1000-0x100e pcnet32 rtl8139 virtio-net rtl8029);
do 
    make %{?_smp_mflags} bin/$i.rom;
    # Just to be in agreement with etherboot. Gpxe roms are called ".rom",
    # but are compressed by default
    mv bin/$i.rom bin/$i.zrom
done
# qemu expects this name
mv bin/e1000-0x100e.zrom bin/e1000-82542.zrom 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/%{my_dir}

# make RPM happy with the %ghost file:
touch %{buildroot}/%{common_dir}


pushd src/bin/
for img in *.zrom; do
      if [ -e $img ]; then
	   cp -a $img %{buildroot}/%{my_dir}
      fi   
done
popd


%clean
rm -rf $RPM_BUILD_ROOT

%post roms-qemu
%{_sbindir}/update-alternatives --install %{common_dir} \
  qemu-pxe-roms %{my_dir} 10


%postun roms-qemu
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove qemu-pxe-roms %{my_dir}
fi


# %ifarch %{buildarches}
%files roms-qemu 
%defattr(-,root,root,-)
%ghost %{common_dir}
%dir %{my_dir}
%{my_dir}/ne.zrom
%{my_dir}/e1000-82542.zrom
%{my_dir}/pcnet32.zrom
%{my_dir}/rtl8139.zrom
%{my_dir}/virtio-net.zrom
%{my_dir}/rtl8029.zrom
%doc COPYING COPYRIGHTS
# %endif

%changelog
* Fri Jun 29 2012 Michal Novotny <minovotn@redhat.com> - gpxe-0.9.7-9.el5
- Make gPXE depend on chkconfig
- Resolves: bz#714882

* Tue Dec 15 2009 Eduardo Habkost <ehabkost@redhat.com> - gpxe-0.9.7-8.el5
- Use ExclusiveArch to build the package only on i386 & x86_64
  (BuildArch was not enough to make the build system build only on
  those arches)
- Use update-alternatives to provide the common /usr/share/qemu-pxe-roms dir
- Resolves: bz#546606

* Wed Dec 09 2009 Glauber Costa <glommer@redhat.com> - 0.9.7-7
- Import package from Fedora
- Move roms to /usr/share/pxe-boot, which is a shared location
  with etherboot
- Get rid of subpackages not used by RHEL.
- Set BuildArch, since we can't use the same trick of noarch subpackages
  in RHEL.

* Tue Aug 13 2009 Jay Greguske <jgregusk@redhat.com> - 0.9.7-6
- Commented out Fedora 11-specific features

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Matt Domsch <mdomsch@fedoraproject.org> - 0.9.7-4
- add undionly.kpxe to -bootimgs

* Tue May 12 2009 Matt Domsch <mdomsch@fedoraproject.org> - 0.9.7-3
- handle isolinux changing paths

* Sat May  9 2009 Matt Domsch <mdomsch@fedoraproject.org> - 0.9.7-2
- add dist tag

* Thu Mar 26 2009 Matt Domsch <mdomsch@fedoraproject.org> - 0.9.7-1
- Initial release based on etherboot spec
